package edu.nju.controller;
import edu.nju.entities.BugDetail;
import edu.nju.service.DataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import org.springframework.web.multipart.MultipartFile;


/**
 * @Author JiaWei Xu
 * @Date 2020-12-25 10:40
 * @Email xjwhhh233@outlook.com
 */
@Controller
@RequestMapping(value = "/data")
@CrossOrigin(origins = "*", maxAge = 3600, allowCredentials = "true")
public class DataController {

    @Autowired
    DataService dataService;

    /**根据caseId获取原始bug报告，保存到本地，
     * bug信息保存为json,csv文件，图片打包为zip文件
     *
     * @param caseId
     */
    @RequestMapping(value = "/outputByCaseId")
    @ResponseBody
    public List<BugDetail> getBugDetailByCaseId(String caseId) {
        return dataService.getBugDetailByCaseId(caseId);
    }


    @RequestMapping(value = "/inputFromFile")
    @ResponseBody
    public List<BugDetail> saveBugDetailFromFile(MultipartFile sourceZipFile, MultipartFile sourceJsonFile,String originalCaseId,String cpSerialNum) {
        return dataService.saveBugDetailFromFile(sourceZipFile,sourceJsonFile,originalCaseId,cpSerialNum);
    }

}
